Gå til hovedinnhold

Fetch the risk factors of any property

GET 

/building/status-history

Building Status History Endpoint

Overview

This API retrieves the status history of a building or buildings based on a batch ID or building ID.

It returns data such as the building status code, status name, and status value and date the status was set.

The building status history is the basis for useful information such as when a building was taken into use, when it was demolished, or when it was put up for sale. It also determines the building year (byggeaar)

Example Request

curl -X 'GET' \
'https://apis.propcloud.no/api/public/building/status-history?batch-id=1' \
-H 'accept: application/json' \
-H 'api-key: YOUR_API_KEY'

Response Description

KeyDescriptionBeskrivelseSource
batchIdUnique identifier for the batchUnik identifikator for batchenPropCloud
buildingIdUnique identifier for the building.
Additions / changes to a building gets a unique building id but keeps the same building number
Unik identifikator for bygningen.
Paabygg / endinger paa bygning faar eget bygningsid, men beholder samme bygningsnummer. Feltet heter ByggId i Matrikkelen
PropCloud
buildingStatusCodeIdUnique identifier for the building status codeUnik identifikator for bygningens statuskodeKartverket
dateDate the status was setDatoen statusen ble sattKartverket
buildingStatusCodeNameStatus description of the building, such as "Tatt i bruk" (In use).Statusbeskrivelse av bygningen, for eksempel "Tatt i bruk".Kartverket
buildingStatusCodeValueStatus code value representing the building status, such as "T" for "Tatt i bruk" (In use).Statuskode som representerer bygningens status, for eksempel "T" for "Tatt i bruk".Kartverket

Request

Responses

Successful Response